TESTING/LIN/cqrt04.f(3)

NAME
TESTING/LIN/cqrt04.f

SYNOPSIS

  Functions/Subroutines
subroutine cqrt04 (m, n, nb, result)
CQRT04

Function/Subroutine Documentation

  subroutine cqrt04 (integer m, integer n, integer nb, real, dimension(6) result)

CQRT04

Purpose:

     CQRT04 tests CGEQRT and CGEMQRT.

Parameters
    M

              M is INTEGER
              Number of rows in test matrix.

    N

              N is INTEGER
              Number of columns in test matrix.

    NB

              NB is INTEGER
              Block size of test matrix.  NB <= Min(M,N).

    RESULT

              RESULT is REAL array, dimension (6)
              Results of each of the six tests below.
              RESULT(1) = | A - Q R |
              RESULT(2) = | I - Q^H Q |
              RESULT(3) = | Q C - Q C |
              RESULT(4) = | Q^H C - Q^H C |
              RESULT(5) = | C Q - C Q |
              RESULT(6) = | C Q^H - C Q^H |

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 72 of file cqrt04.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.